Announcement

Collapse
No announcement yet.

UT compiling within VS2017

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    UT compiling within VS2017

    Hello there for eveybody!
    Having many errors trying to make the subject... Is it ok at all?) Or VS2015 is the only thing I need to get it built?!
    Last edited by Paul Nevada; 06-25-2019, 01:40 AM.

    #2
    Just for the curiosity, what errors are you getting?

    Comment


      #3
      You see, I have deleted my VS2017 and was trying to get it done via VS2015 and no result at the moment... While generating the project files - "8.1 SDK isn't available..." or something like that...

      Comment


        #4
        Well TBH, you can compile and build the UT code by even using the notepad, if there is some dependency on the IDE then it is the bad implementation of the code. I have successfully compiled the code on Linux with Qt Creator. That should mean something!

        Comment


          #5
          Here's the next! error I get within VS2015... Help, please)

          Comment


            #6
            Could you translate the error (to english). I am weak with translation stuff.

            Comment


              #7
              The last sentence means nothing) The error is in english...

              Comment


                #8
                Try https://answers.unrealengine.com/que...ity-i-get.html

                Comment


                  #9
                  Thanks a lot - definitely will try it in the evening!
                  Last edited by Paul Nevada; 06-26-2019, 11:10 AM.

                  Comment


                    #10
                    Removed VS2017, installed VS2013, installed VS2015.
                    UT4 compiled without errors at all. IDK what the reason was before...

                    PS: Why do I get many warnings when I launch the project?! Several BPs aren't ok and so on...
                    Also, can't I package the game myself?!

                    Comment


                      #11
                      Well the code was in pre-alpha stage when it was (temporarily?) abandoned.
                      So it is natural to expect lot of warnings. Let me know which blueprints are not ok, I am maintaining and upgrading the code for now (unofficially).

                      Comment


                        #12
                        Again:
                        Also, can't I package the game myself?!
                        Why did they removed these possibilities from the UE4 that comes with the UT4?!
                        And the console doesn't come up! ((( Why?!
                        Last edited by Paul Nevada; 06-27-2019, 04:59 PM.

                        Comment


                          #13
                          You can do anything once you have the source code and know how to use it. Try https://docs.unrealengine.com/en-US/...ing/index.html, You need to compile the code with targettype as editor in order for it to be loaded as project in UEditor. I am myself trying that ATM.

                          EDIT:
                          I can't package the game on Linux box as of now. Let me know if it does on Windows.
                          Last edited by The-Cowboy; 06-27-2019, 08:09 PM.

                          Comment


                            #14
                            I don't have that one at all!
                            Attached Files

                            Comment


                              #15
                              Maybe it is just a Linux thingy!

                              Comment

                              Working...
                              X